%global modname parquet
%global srcname %{modname}-python

Name:           python-%{modname}
Version:        1.1
Release:        1%{?dist}
Summary:        Python implementation of the Parquet file format

License:        ASL 2.0
URL:            https://github.com/jcrobak/parquet-python
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

%global _description \
%{summary}.\
\
It comes with a script for reading parquet files and outputting the data to\
stdout as JSON or TSV (without the overhead of JVM startup).

%description %{_description}

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  python2-thriftpy
BuildRequires:  python2-snappy
BuildRequires:  python2-backports-csv
Requires:       python2-thriftpy
Requires:       python2-snappy
Requires:       python2-backports-csv

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-thriftpy
BuildRequires:  python3-snappy
Requires:       python3-thriftpy
Requires:       python3-snappy

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
nosetests-%{python2_version} -v
nosetests-%{python3_version} -v

%files -n python2-%{modname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%files -n python3-%{modname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Sat Sep 03 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.1-1
- Initial package
